/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.MarcaClaseServicio;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author rodrigo
 */
public class RenderClaseServicioMarca implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        MarcaClaseServicio marcaClaseServicio = (MarcaClaseServicio) o;

        // o id eh uma chave composta:
        String id = marcaClaseServicio.getMarcaClaseservicioPK().getClaseservicio().getClaseservicioId().toString()
                + " / " + marcaClaseServicio.getMarcaClaseservicioPK().getMarca().getMarcaId().toString();
        Listcell lc = new Listcell(id);
        lc.setParent(lstm);

        lc = new Listcell(marcaClaseServicio.getMarcaClaseservicioPK().getMarca().getDescmarca());
        lc.setParent(lstm);

        lc = new Listcell(marcaClaseServicio.getMarcaClaseservicioPK().getClaseservicio().getDescclase());
        lc.setParent(lstm);

        lstm.setAttribute("data", marcaClaseServicio);
    }
}
